/*
 * Client.java
 * 
 * Copyright (c) 1998 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 * 
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
 * SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
 * SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 *
 */

import java.applet.*;
import java.awt.*;
import java.awt.event.*;
import java.rmi.*;
import java.net.*;

public class Client extends Applet implements ActionListener{

    private TextField input;
    private TextField output;
    private Hello remoteObject;

    public Client() {
        add(new Label("My name is"));
        input = new TextField(12);
        input.addActionListener(this);
        add(input);
        output = new TextField(20);
        output.setEditable(false);
        add(output);
    }

    public void init(){
        try {
            remoteObject = (Hello)Naming.lookup(
		"rmi://" + getCodeBase().getHost() + "/HelloServer");
        }
        catch (NotBoundException e) {
            System.out.println("[gEIuWFNg݂܂");
            e.printStackTrace();
        }
        catch (MalformedURLException e) {
            System.out.println("URL ̋LqɌ肪܂");
            e.printStackTrace();
        }
        catch (java.rmi.UnknownHostException e) {
            System.out.println("T[ozXg܂");
            e.printStackTrace();
        }
        catch (RemoteException e) {
            System.out.println("WXg܂");
            e.printStackTrace();
        }
    }

    public void actionPerformed(ActionEvent ev){
        try {
            String message =
		remoteObject.getMessage(input.getText());
            output.setText(message);
        }
        catch (RemoteException e) {
            System.out.println(
		"[gE\bȟĂяoɎs܂");
        }

    }
}
