/*
 * MySkel.java
 * 
 * Copyright (c) 1998 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 * 
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
 * SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
 * SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 *
 */

import java.net.*;
import java.io.*;

public class MySkel {
  void startSkel(HelloServer helloServer) {
    ServerSocket ss = null;
    Socket s = null;

    try {
      ss = new ServerSocket(4321);
      while (true) {
	s = ss.accept();
	ObjectInputStream ois =
	          new ObjectInputStream(s.getInputStream());
	String name = (String)ois.readObject();

	String message = helloServer.getMessage(name);
	
	ObjectOutputStream oos =
	          new ObjectOutputStream(s.getOutputStream());
	oos.writeObject(message);

	s.close();
      }
    } catch (Exception e) {
      e.printStackTrace();
    }
  }
}
