/*
 * RemoteScheduleManager.java
 * 
 * Copyright (c) 1998 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 * 
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
 * SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
 * SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 *
 */

package schedule;

import java.util.Vector;
import java.rmi.*;

/**
 * RemoteScheduleManager
 *     XPW[}l[WNX̃C^[tFCX
 * @version    1.1 98/05/07
 * @auther     EMOTO Masahiko, Nihon Sun Microsystems K.K.
 */
public interface RemoteScheduleManager extends java.rmi.Remote {
    // XPW[XV̒ʒm
    public void notifyScheduleUpdated(Vector newSchedule)
	throws java.rmi.RemoteException;
}
