/*
 * Launcher.java
 * 
 * Copyright (c) 1998 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 * 
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
 * SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
 * SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 *
 */

	// XPgC^tF[X
	import HelloApp.*;

	// l[~OT[rX
	import org.omg.CosNaming.*;

	// CORBA ʃpbP[W
	import org.omg.CORBA.*;

	public class Launcher {
	  public static void main(String[] args) {
	    try{
	      // ORB̏
	      ORB orb = ORB.init(args, null);
	      
		      // T[oEIuWFNg𐶐^ORB ɓo^
		      HelloServer helloRef = new HelloServer();
	      orb.connect(helloRef);
      
	      // l[~OT[rX̌Ăяo
	      org.omg.CORBA.Object nameServiceRef = 
		 orb.resolve_initial_references("NameService");
	      NamingContext ncRef = 
		  NamingContextHelper.narrow(nameServiceRef);
      
	      // l[~OT[rXɓo^
	      NameComponent nc = new NameComponent("Hello", "");
	      NameComponent names[] = {nc};
	      ncRef.bind(names, helloRef);
	
	      // ̃\bhIȂ߂̏
	      java.lang.Object sync = new java.lang.Object();
	      synchronized(sync){
	          sync.wait();
	      }     
	    } catch(Exception e) {
	        e.printStackTrace(System.out);
	    }  
	  }
	}
