/*
 * HelloClient.java
 * 
 * Copyright (c) 1998 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 * 
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
 * SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
 * SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 *
 */

	// XPgC^tF[X
	import HelloApp.*;

	// l[~OT[rX
	import org.omg.CosNaming.*;

	// CORBA ʃpbP[W
	import org.omg.CORBA.*;

	public class HelloClient {
	  public static void main(String[] args) {
	    try{      
	      // ORB ̏
	      ORB orb = ORB.init(args, null);
      
	      // l[~OT[rX̌Ăяo
	      org.omg.CORBA.Object nameServiceRef = 
		  orb.resolve_initial_references("NameService");
	      NamingContext ncRef = 
		  NamingContextHelper.narrow(nameServiceRef);
      
	      // T[oEIuWFNg̎QƂ̊l
	      NameComponent nc = new NameComponent("Hello", "");
	      NameComponent path[] = {nc};
	      Hello helloRef = 
		  HelloHelper.narrow(ncRef.resolve(path));
      
	      // [gE\bȟďo
	      String hello = helloRef.getMessage("Duke");
	      System.out.println(hello);                
	    } catch(Exception e) {
             e.printStackTrace(System.out);
	    }  
	  }
	}
